checkRequire("Lua_IconShowItem");
Lua_BuyGoodsWindow = class("Lua_BuyGoodsWindow", Lua_Window);
function Lua_BuyGoodsWindow:ctor()
	self:superCall("ctor");

	self.windowName = "Lua_BuyGoodsWindow";
	self.skinName = "BuyGoodsWindow_skin";
	self.showBlackMask = true
	self.isClickClose = true;
end

function Lua_BuyGoodsWindow:buildShowItem()
	self:superCall("buildShowItem");
	self.btnSure:addClickFuntion(self, self.onSureClick)

	self.selectNum = 1;

	self.itemIcon = Lua_ItemIcon.new(self.content);
    self.itemIcon:setLocation(-85, 100, 0);
    self.itemIcon:setCanClick(false);

	self.totalMoney = Lua_IconShowItem.new(self.content);
	self.totalMoney:setTextFieldStyle(24);
	self.totalMoney:setLocation(85, -65, 0);
	self.totalMoney:setBg(false);

	self.numberInputItem = Lua_NumberInputItem.new(self.content);
	self.numberInputItem:setCallBack(self, self.updateCount);
end

function Lua_BuyGoodsWindow:dispose()
	if self.itemIcon ~= nil then
		self.itemIcon:dispose();
		self.itemIcon = nil;
	end
	if self.totalMoney ~= nil then
		self.totalMoney:dispose();
		self.totalMoney = nil;
	end
	if self.numberInputItem ~= nil then
		self.numberInputItem:dispose();
		self.numberInputItem = nil;
	end
	self.costVo = nil;
	self:superCall("dispose");
end

function Lua_BuyGoodsWindow:showWin(param)
	self:superCall("showWin", param);

	self:specialDisplayFromSpiritShopWindow();
	
	self.itemNameTxt.text = param.itemVo.name;
	self.itemIcon:setData(param.itemVo);

	local hasCount = DataCenter.packData:getItemCountById(param.itemVo.id);
	self.hasCountTxt.text = LanUtil.formateStr(125034, numberTrans(hasCount));

	if param.leftTimes <= 0 then
		self.limitTxt.text = "";
	else
		self.limitTxt.text = LanUtil.formateStr(125035, tostring(param.leftTimes));
	end

	local moneyTypeCount = DataCenter.moneyData:getMoney(param.moneyType) ~= 0 and DataCenter.moneyData:getMoney(param.moneyType) or DataCenter.packData:getItemCountById(param.moneyType) 
	self.buyMaxNum = Mathf.Floor(moneyTypeCount / param.moneyCount);
	if param.leftTimes > 0 and param.leftTimes < self.buyMaxNum then
		self.buyMaxNum = param.leftTimes;
	end
	self.numberInputItem:setValue(1, 1, self.buyMaxNum);

	self.costVo = Lua_ToolVo.createToolVo(param.moneyType);
	self.totalPrice = numberTrans(param.moneyCount);
	self.totalMoney:setIcon(self.costVo.iconAtlas, self.costVo.iconSprite, self.costVo.iconWidth, self.costVo.iconHeight);
	self.totalMoney:setCount(self.totalPrice, "846651");

	self.isExchangeShop = param.isExchangeShop;
	if self.isExchangeShop then
		self.hasCountTxt.text = nil;
	end
end

-- 精灵商店（特卖店）的特殊表现
function Lua_BuyGoodsWindow:specialDisplayFromSpiritShopWindow()
	if self.showData.parentShopType == Lua_ShopData.SPIRIT_SHOP then
		self.numberInputItem:removeClickFun();
		self.numberInputItem:setBtnGray(true);
	end
end

function Lua_BuyGoodsWindow:updateCount(val)
	if self.showData == nil then
		return;
	end

	if val > self.buyMaxNum then
		val = self.buyMaxNum;
	elseif val < 1 then
		val = 1;
	end

	self.selectNum = val;
	self.totalPrice = numberTrans(self.selectNum * self.showData.moneyCount);
	self.totalMoney:setCount(self.totalPrice, "846651");
end

function Lua_BuyGoodsWindow:onSureClick(go)
	if self.showData.shopType == Lua_ShopData.NORMAL_SHOP then
		local itemVo = self.showData.itemVo;
		local str = spliceIconStr(self.costVo.iconAtlas, self.costVo.iconSprite, self.costVo.iconWidth, self.costVo.iconHeight);
		local haveCount = DataCenter.packData:getItemCountById(itemVo.id);
		local des = LanUtil.formateStr(125010, str, tostring(self.totalPrice), self.costVo.name, itemVo.colorName, numberTrans(haveCount));
		local tipsData = { titleAtlas = "shop_atlas_1", titleSprite = "ui_gmqr_title_02", des = des, btnType = 1, owner = self, sureFun = self.onSureBuy };
		Lua_WindowUtil.openWin("Lua_TipsWindow", Lua_WinParam.ACTION_AUTO, tipsData);
	else
		self:onSureBuy();
	end
end

function Lua_BuyGoodsWindow:onSureBuy()
	if self.isExchangeShop then
		Lua_ProxyManager.getProxy("Lua_RecruitProxy"):sRequireShopExchangeItem(self.showData.itemVo.id, self.selectNum);
	else
		Lua_ProxyManager.getProxy("Lua_ShopProxy"):sBuyShopItem(self.showData.id, self.showData.shopType, self.selectNum, self.showData.index);
	end
	self:hide();
end