checkRequire("Lua_IconShowItem");
Lua_BuyTimesWindow = class("Lua_BuyTimesWindow", Lua_Window);
function Lua_BuyTimesWindow:ctor()
	self:superCall("ctor");

	self.windowName = "Lua_BuyTimesWindow";
	self.skinName = "BuyTimesWindow_skin";
	self.showBlackMask = true
	self.isClickClose = true;
end

function Lua_BuyTimesWindow:buildShowItem()
	self:superCall("buildShowItem");

	self.selectNum = 1;
	self.boardImg.siblingIndex = 1;

	self.inputItem = Lua_NumberInputItem.new(self.content);
	self.inputItem:setLocation(65, 32, 0);
	self.inputItem:setMinMaxEnable(false, false);
	self.inputItem:setCallBack(self, self.updateCount);

	self.moneyCount = Lua_IconShowItem.new(self.content);
	self.moneyCount:setLocation(84.5, -77.5, 0);
	self.moneyCount:setBg(false);

	self.btnSure:addClickFuntion(self, self.onSureClick)
end

function Lua_BuyTimesWindow:dispose()
	if self.inputItem ~= nil then
		self.inputItem:dispose();
		self.inputItem = nil;
	end
	if self.moneyCount ~= nil then
		self.moneyCount:dispose();
		self.moneyCount = nil;
	end
	self:superCall("dispose");
end

function Lua_BuyTimesWindow:showWin(param)
	self:superCall("showWin", param);

	self.leftTimes.text = LanUtil.formateStr(125016, tostring(param.leftBuyTimes));
	self.inputItem:setValue(self.selectNum, 1, param.leftBuyTimes);
	self:updateCount(self.selectNum);
end

function Lua_BuyTimesWindow:updateCount(val)
	self.selectNum = val;
	self.totalPrice = self.showData.buy_cost * self.selectNum;

	local toolVo = Lua_ToolVo.createToolVo(self.showData.buy_money);
	self.moneyCount:setIcon(toolVo.atlas, toolVo.sprite, 45, 45);
	if self.totalPrice > DataCenter.moneyData:getMoney(self.showData.buy_money) then
		self.moneyCount:setCount(numberTrans(self.totalPrice), "F63C3C");
	else
		self.moneyCount:setCount(numberTrans(self.totalPrice), "4A6793");
	end
end

function Lua_BuyTimesWindow:onSureClick(go)
	if DataCenter.moneyData:isMoneyEnough(self.showData.buy_money, self.totalPrice, true, true) then
	    Lua_ProxyManager.getProxy("Lua_ShopProxy"):sBuyRefreshTimes(self.showData.shopType, self.selectNum);
	end
end