Lua_ShopBasePanel = class("Lua_ShopBasePanel", Lua_DisplayObject);
function Lua_ShopBasePanel:ctor(p, skin)
	self:superCall("ctor", p, skin);
end

function Lua_ShopBasePanel:buildShowItem()
	self:superCall("buildShowItem");

	self.moneyItemArr = Array();
	self.refreshBtn:addClickFuntion(self, self.onRefreshBtnClick);
end

function Lua_ShopBasePanel:setData(data)
	if data == nil or self.data == data then
		return;
	end
	self.data = data;

	if data.moneyType ~= nil then
		if self.isFirstIn ~= true then
			self.isFirstIn = true;
			self:initMoneyInfo();
		end
	end
	Lua_ProxyManager.getProxy("Lua_ShopProxy"):sShopInfo(data.shopType);
end

function Lua_ShopBasePanel:initMoneyInfo()
	local item;
	for i = 1, #self.data.moneyType do
		item = Lua_MoneyItem.new(self.content);
		item:setMoneyType(self.data.moneyType[i]);
		item:setRectAnchor(1);
		item:setCanClick(true);
		item:setLocation(439 - i * 190, -24, 0);
		self.moneyItemArr:add(item);
	end
end

function Lua_ShopBasePanel:onRefreshBtnClick(go)
	if self.clickTime ~= nil and getTime() - self.clickTime < 0.3 then
		OperateAlert.showLangValue(10031);
		return;
	end
	self.clickTime = getTime();
end

function Lua_ShopBasePanel:dispose()
	if self.moneyItemArr ~= nil then
		self.moneyItemArr:dispose();
		self.moneyItemArr:clear();
		self.moneyItemArr = nil;
	end
	self.data = nil;
	self:superCall("dispose");
end