Lua_ShopBtnItem = class("Lua_ShopBtnItem", Lua_ButtonCell);
function Lua_ShopBtnItem:ctor(p)
    self:superCall("ctor", p, "ShopBtnItem_skin");
end

function Lua_ShopBtnItem:buildShowItem()
	self:superCall("buildShowItem");

	self.lockSp:setEnable(false);
	self.btnSp:addClickFuntion(self, self.onPressClick);
end

function Lua_ShopBtnItem:dispose()
	self.data = nil;
	self:superCall("dispose");
end

function Lua_ShopBtnItem:setData(data)
	if data == nil then
		return;
	end
	self.data = data;

	self.btnText.text = data.name;

	if not data:checkOpened() then
		self:setBtnGray();
	end
end

function Lua_ShopBtnItem:onPressClick(go)
	if self.data == nil or not self.data:checkOpened() then
		local vo = DataCenter.funcOpenUtil:getFuncOpenVoById(self.data.funcId);
		if vo.isOpen == false and vo.advanceMessage ~= "" then
			OperateAlert.show(vo.advanceMessage);
		else
			OperateAlert.showLangValue(125018);
		end
		return;
	end
	Lua_MsgUtil.callFunc("SHOP_TYPE_SELECT", self.data);

	self:superCall("onPressClick", go);
end

function Lua_ShopBtnItem:setSelected(index)
	if self.data ~= nil and not self.data:checkOpened() then
		self:setBtnGray();
		return;
	end

    if self.index == index then
    	-- self.btnSp:setAltas("shop_atlas_1", "xui_sd_tab_2_s");
    	self.btnText.colorStr = Lua_ColorDefine.transColor("8c5125");
    	self.btnSp.alpha = 1;
    else
    	-- self.btnSp:setAltas("shop_atlas_1", "xui_sd_tab_2");
    	self.btnText.colorStr = Lua_ColorDefine.transColor("6e5242");
    	self.btnSp.alpha = 0.01;
    	self:setSiblingIndex(0);
    end
    self.line:setEnable(self.index ~= 1);
    self.isSetGray = false;
end

function Lua_ShopBtnItem:setBtnGray()
	if not self.isSetGray then
		self.isSetGray = true;
		self.btnText.colorStr = Lua_ColorDefine.transColor("8c5125");
		self.btnSp.alpha = 1;
		self.btnText:setGray(true);
		self.btnSp:setGray(true);
		self:setSiblingIndex(0);
	end
end