checkRequire("Lua_ShopItem");
Lua_ShopSecondItem = class("Lua_ShopSecondItem", Lua_ListCell);

function Lua_ShopSecondItem:ctor(p)
	self:superCall("ctor", p);
end

function Lua_ShopSecondItem:buildShowItem()
	self:superCall("buildShowItem");

	self.bottomBg = UICreate.createUIAtlasImage(self.content, "shop_atlas_2", "xui_sd_window_2", 0, -135, 0, 0);

	self.shopItemArr = Array();
end

function Lua_ShopSecondItem:dispose()
	if self.bottomBg ~= nil then
		self.bottomBg:dispose();
		self.bottomBg = nil;
	end
	if self.shopItemArr ~= nil then
		self.shopItemArr:dispose();
		self.shopItemArr = nil;
	end
	self:superCall("dispose");
end

function Lua_ShopSecondItem:setData(data)
	if data == nil then
		return;
	end

	self.showNum = data:getSize();
	local count = self.shopItemArr:getSize();
	local len = self.showNum > count and self.showNum or count;
	local item;
	for i = 1, len do
		if i > count then
			item = Lua_ShopItem.new(self.content);
			self.shopItemArr:add(item);
		else
			item = self.shopItemArr[i];
		end

		if i <= self.showNum then
			item:setData(data[i]);
			item:setLocation(-205 + (i - 1) * 205, 0, 0);
			item:setEnable(true);
		else
			item:setEnable(false);
		end
	end
end

function Lua_ShopSecondItem:onPressClick()
	local winPos = LuaUtil.getTouchPosInverseObj(self.mainContent);
	local item;
	for i = 1, self.showNum do
		item = self.shopItemArr[i];
		if item ~= nil and item:checkInBound(winPos.x, winPos.y) then
			item:onPressClick();
			break;
		end
	end
end